E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GNet::LineBufferIterator Class Reference

Syntactic sugar for calling GNet::LineBuffer iteration methods. More...

`#include <glinebuffer.h>`

## Public Member Functions
| LineBufferIterator (LineBuffer &buffer)
| Constructor.
bool | more ()
| See LineBuffer::more().
const char * | lineData () const
| See LineBuffer::lineData().
size_t | lineSize () const
| See LineBuffer::lineSize().
size_t | eolSize () const
| See LineBuffer::eolSize().
std::string | line () const
| Returns the current line.
std::string | eol () const
| Returns the current line ending but returns the empty string if currently inside an expect() block. More...

## Detailed Description

Syntactic sugar for calling GNet::LineBuffer iteration methods.

Definition at line 138 of file glinebuffer.h.

## Member Function Documentation

std::string GNet::LineBufferIterator::eol | ( |  | ) | const
| inline

Returns the current line ending but returns the empty string if currently inside an expect() block.

Definition at line 270 of file glinebuffer.h.

The documentation for this class was generated from the following file:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/glinebuffer.h